zipios::FCollException Class Reference

An FCollException is used to signal a problem with a FileCollection. More...

`#include <fcollexceptions.h>`

Inheritance diagram for zipios::FCollException:
[legend]

## Public Member Functions

| FCollException (const string &msg) throw ()
| FCollException (const FCollException &src) throw ()
FCollException & | operator= (const FCollException &src) throw ()
virtual const char * | what () const throw ()

## Detailed Description

An FCollException is used to signal a problem with a FileCollection.

Definition at line 31 of file fcollexceptions.h.

## Constructor & Destructor Documentation

## FCollException() [1/3]

zipios::FCollException::FCollException | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 40 of file fcollexceptions.cpp.

## FCollException() [2/3]

zipios::FCollException::FCollException | ( | const string & | msg | ) |
throw | ( | ) |  |  |

explicit

Definition at line 43 of file fcollexceptions.cpp.

## FCollException() [3/3]

zipios::FCollException::FCollException | ( | const FCollException & | src | ) |
throw | ( | ) |  |  |

Definition at line 46 of file fcollexceptions.cpp.

## ~FCollException()

zipios::FCollException::~FCollException | ( |  | ) |
throw | ( | ) |  |  |

virtual

Definition at line 60 of file fcollexceptions.cpp.

## Member Function Documentation

## operator=()

FCollException & zipios::FCollException::operator= | ( | const FCollException & | src | ) |
throw | ( | ) |  |  |

Definition at line 50 of file fcollexceptions.cpp.

## what()

const char * zipios::FCollException::what | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Definition at line 56 of file fcollexceptions.cpp.

The documentation for this class was generated from the following files:

- fcollexceptions.h
- fcollexceptions.cpp